INTERFACE
subroutine hlturb( kstep ,&
 & ldmse ,&
 & knhor , knlev , kstart ,&
 & kstop , pdtime, pt ,&
 & pq , pu , pv ,&
 & pcw , pcice , ptke ,&
 & pgpoth ,&
 & pgpot , ppf , pph ,&
 & pts , ppblh ,&
 & pcld2 , pdifts, pdiftq ,&
 & pdiftql, pdiftqn, pdiftke ,&
 & pstrtu , pstrtv, psenf ,&
 & pfev , pfmdu, pfmdv ,&
 & ptendu , ptendv, ptendt ,&
 & ptendtke, ptendq, ptendql ,&
 & ptendqi,&
 & cdlock ) 
use parkind1 ,only : jpim ,jprb
integer(kind=jpim), intent(in) :: kstep
integer(kind=jpim), intent(in) :: knhor
integer(kind=jpim), intent(in) :: knlev
integer(kind=jpim), intent(in) :: kstart
integer(kind=jpim), intent(in) :: kstop
logical, intent(in) :: ldmse
real(kind=jprb) , intent(in) :: pdtime
real(kind=jprb) , intent(in) :: pts(knhor)
real(kind=jprb) , intent(in) :: psenf(knhor)
real(kind=jprb) , intent(in) :: pfev(knhor)
real(kind=jprb) , intent(in) :: pfmdu(knhor)
real(kind=jprb) , intent(in) :: pfmdv(knhor)
real(kind=jprb) , intent(in) :: ppblh(knhor)
real(kind=jprb) , intent(in) :: pt(knhor,knlev)
real(kind=jprb) , intent(in) :: pq(knhor,knlev)
real(kind=jprb) , intent(in) :: pu(knhor,knlev)
real(kind=jprb) , intent(in) :: pv(knhor,knlev)
real(kind=jprb) , intent(in) :: pcw(knhor,knlev)
real(kind=jprb) , intent(in) :: pcice(knhor,knlev)
real(kind=jprb) , intent(inout) :: ptke(knhor,knlev)
real(kind=jprb) , intent(in) :: pgpoth(knhor,0:knlev)
real(kind=jprb) , intent(in) :: pgpot(knhor,knlev)
real(kind=jprb) , intent(in) :: ppf(knhor,knlev)
real(kind=jprb) , intent(in) :: pph(knhor,0:knlev)
real(kind=jprb) , intent(in) :: pcld2(knhor,knlev)
real(kind=jprb) , intent(inout) :: pdifts(knhor, 0:knlev)
real(kind=jprb) , intent(inout) :: pdiftq(knhor, 0:knlev)
real(kind=jprb) , intent(inout) :: pdiftql(knhor,0:knlev)
real(kind=jprb) , intent(inout) :: pdiftqn(knhor,0:knlev)
real(kind=jprb) , intent(inout) :: pdiftke(knhor,0:knlev)
real(kind=jprb) , intent(inout) :: pstrtu(knhor, 0:knlev)
real(kind=jprb) , intent(inout) :: pstrtv(knhor, 0:knlev)
real(kind=jprb) , intent(inout) :: ptendu (knhor,knlev)
real(kind=jprb) , intent(inout) :: ptendv (knhor,knlev)
real(kind=jprb) , intent(inout) :: ptendt (knhor,knlev)
real(kind=jprb) , intent(inout) :: ptendtke(knhor,knlev)
real(kind=jprb) , intent(inout) :: ptendq (knhor,knlev)
real(kind=jprb) , intent(inout) :: ptendql (knhor,knlev)
real(kind=jprb) , intent(inout) :: ptendqi (knhor,knlev)
CHARACTER(LEN=6) , INTENT(IN) :: cdlock
end subroutine hlturb
END INTERFACE
